These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

EVE Technology Lab

 
  • Topic is locked indefinitely.
 

phpBB 3.x API Registration Mod v6+

Author
Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1261 - 2015-11-03 09:47:23 UTC
Got the ok to move this to github. I'll get that done and put a new thread up so whoever can do pulls and whatnot.
Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1262 - 2015-11-04 09:18:14 UTC  |  Edited by: Mr Twinkie
Lars Wolfgang
Doomheim
#1263 - 2015-11-04 13:23:41 UTC
Mr Twinkie wrote:
Lars Wolfgang wrote:
OK, so asking in curious sake.

We constantly see members receiving the "Invalid API" message and removed from permissions.
I have posted, multiple times, what they need in their APIs, and they claim they are correct.

It even happened to my "test" pilot, and his API was correct. Going to the eveapi_update page will often reactivate them, but the fact that they are being disabled is annoying.

Is anyone else seeing this? If so, have you found a fix or bandage?


I've been seeing it but most cases have been api keys expiring because they don't set it to not expire.


I have re-remind them of this, and while they tell me its not the case, let's hope.

That said, after the patch yesterday EVERYONE on my board is now disabled, minus the two "founder" accounts immune to API checks. Oops I'm investigating...

∴ "Virtus junxit, mors non separabit", I am but a traveling man...

Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1264 - 2015-11-04 13:49:04 UTC
Lars Wolfgang wrote:
Mr Twinkie wrote:
Lars Wolfgang wrote:
OK, so asking in curious sake.

We constantly see members receiving the "Invalid API" message and removed from permissions.
I have posted, multiple times, what they need in their APIs, and they claim they are correct.

It even happened to my "test" pilot, and his API was correct. Going to the eveapi_update page will often reactivate them, but the fact that they are being disabled is annoying.

Is anyone else seeing this? If so, have you found a fix or bandage?


I've been seeing it but most cases have been api keys expiring because they don't set it to not expire.


I have re-remind them of this, and while they tell me its not the case, let's hope.

That said, after the patch yesterday EVERYONE on my board is now disabled, minus the two "founder" accounts immune to API checks. Oops I'm investigating...


https://github.com/shibdib/phpBB-3.x-API-Registration-Mod-Revisited

I put a fix in for it, 99% sure the cause is it was disabling keys if they threw any kind of connection error and not just if they went bad (expired/mask issue/etc..)
Lars Wolfgang
Doomheim
#1265 - 2015-11-04 14:03:52 UTC  |  Edited by: Lars Wolfgang
Preparing to update the mod now, deleted old, tried to upload new, and received this:

XML error: EntityRef: expecting ';' at line 18. View the file ./../store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/install.xml in a web browser for a more detailed error message.

At this stage, AutoMOD tab no longer functions, providing this error each time. (I manually removed the mod to fix this, just stating as an FYI)

∴ "Virtus junxit, mors non separabit", I am but a traveling man...

Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1266 - 2015-11-04 14:09:04 UTC
Lars Wolfgang wrote:
Preparing to update the mod now, deleted old, tried to upload new, and received this:

XML error: EntityRef: expecting ';' at line 18. View the file ./../store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/install.xml in a web browser for a more detailed error message.

At this stage, AutoMOD tab no longer functions, providing this error each time.


Saw your other post, looking into it. Everyone hold off for a moment
Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1267 - 2015-11-04 14:16:47 UTC
Lars Wolfgang wrote:
Preparing to update the mod now, deleted old, tried to upload new, and received this:

XML error: EntityRef: expecting ';' at line 18. View the file ./../store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/install.xml in a web browser for a more detailed error message.

At this stage, AutoMOD tab no longer functions, providing this error each time. (I manually removed the mod to fix this, just stating as an FYI)


https://www.dropbox.com/s/0d7x6672zmle9t5/install.xml?dl=0

Upload that to *forum root*/store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/

And overwrite the old one. Didn't realize automod had weird url formatting requirements.
Lars Wolfgang
Doomheim
#1268 - 2015-11-04 14:29:08 UTC
Mr Twinkie wrote:
Lars Wolfgang wrote:
Preparing to update the mod now, deleted old, tried to upload new, and received this:

XML error: EntityRef: expecting ';' at line 18. View the file ./../store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/install.xml in a web browser for a more detailed error message.

At this stage, AutoMOD tab no longer functions, providing this error each time. (I manually removed the mod to fix this, just stating as an FYI)


https://www.dropbox.com/s/0d7x6672zmle9t5/install.xml?dl=0

Upload that to *forum root*/store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/

And overwrite the old one. Didn't realize automod had weird url formatting requirements.


Almost, it fixed the issue of the AutoMod tab not working, but it doesn't see the mod in the folder.
You have the zip file (phpBB-3.x-API-Registration-Mod-Revisited-7.0.0.zip) with a folder inside (phpBB-3.x-API-Registration-Mod-Revisited-7.0.0) and then the files. It needs to be the zip file, and the files.

I removed the inner folder and it sees it. Installing now.

∴ "Virtus junxit, mors non separabit", I am but a traveling man...

Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1269 - 2015-11-04 14:35:41 UTC
Lars Wolfgang wrote:
Mr Twinkie wrote:
Lars Wolfgang wrote:
Preparing to update the mod now, deleted old, tried to upload new, and received this:

XML error: EntityRef: expecting ';' at line 18. View the file ./../store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/install.xml in a web browser for a more detailed error message.

At this stage, AutoMOD tab no longer functions, providing this error each time. (I manually removed the mod to fix this, just stating as an FYI)


https://www.dropbox.com/s/0d7x6672zmle9t5/install.xml?dl=0

Upload that to *forum root*/store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/

And overwrite the old one. Didn't realize automod had weird url formatting requirements.


Almost, it fixed the issue of the AutoMod tab not working, but it doesn't see the mod in the folder.
You have the zip file (phpBB-3.x-API-Registration-Mod-Revisited-7.0.0.zip) with a folder inside (phpBB-3.x-API-Registration-Mod-Revisited-7.0.0) and then the files. It needs to be the zip file, and the files.

I removed the inner folder and it sees it. Installing now.


No it's supposed to be zip file and a holding folder which is put in store/mods by automod just tested the 7.0.1 release and it works fine
Lars Wolfgang
Doomheim
#1270 - 2015-11-04 14:37:44 UTC
Installed without issue. Thanks.

About to mass reactivate accounts, then intentionally run cron, and see what happens.

∴ "Virtus junxit, mors non separabit", I am but a traveling man...

Lars Wolfgang
Doomheim
#1271 - 2015-11-04 14:39:43 UTC
Mr Twinkie wrote:
Lars Wolfgang wrote:
Mr Twinkie wrote:
Lars Wolfgang wrote:
Preparing to update the mod now, deleted old, tried to upload new, and received this:

XML error: EntityRef: expecting ';' at line 18. View the file ./../store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/install.xml in a web browser for a more detailed error message.

At this stage, AutoMOD tab no longer functions, providing this error each time. (I manually removed the mod to fix this, just stating as an FYI)


https://www.dropbox.com/s/0d7x6672zmle9t5/install.xml?dl=0

Upload that to *forum root*/store/mods/phpBB-3.x-API-Registration-Mod-Revisited-7.0.0/

And overwrite the old one. Didn't realize automod had weird url formatting requirements.


Almost, it fixed the issue of the AutoMod tab not working, but it doesn't see the mod in the folder.
You have the zip file (phpBB-3.x-API-Registration-Mod-Revisited-7.0.0.zip) with a folder inside (phpBB-3.x-API-Registration-Mod-Revisited-7.0.0) and then the files. It needs to be the zip file, and the files.

I removed the inner folder and it sees it. Installing now.


No it's supposed to be zip file and a holding folder which is put in store/mods by automod just tested the 7.0.1 release and it works fine


Well, not sure then why the first time it uploaded the folder with a folder, then the files. Perhaps the error caused this? Regardless. if 7.0.1 works, I'm good.

∴ "Virtus junxit, mors non separabit", I am but a traveling man...

Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1272 - 2015-11-04 14:40:26 UTC
Lars Wolfgang wrote:
Installed without issue. Thanks.

About to mass reactivate accounts, then intentionally run cron, and see what happens.


Let me know, it fixed it on my corps forum. Brought us from 5 pages of inactive to 2 which are actual bum api keys
Lars Wolfgang
Doomheim
#1273 - 2015-11-04 14:44:16 UTC
11-04-2015 14:42:18 Benz2 EVE API Connection error: 60 -> SSL certificate problem: unable to get local issuer certificate

I recall this, but its early, my mind is foggy. There is an issue with the SSL, and I had to fix something to make it work... if this rings a bell, great, if not, I'll find the fix again.

∴ "Virtus junxit, mors non separabit", I am but a traveling man...

Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1274 - 2015-11-04 14:50:49 UTC
Lars Wolfgang wrote:
11-04-2015 14:42:18 Benz2 EVE API Connection error: 60 -> SSL certificate problem: unable to get local issuer certificate

I recall this, but its early, my mind is foggy. There is an issue with the SSL, and I had to fix something to make it work... if this rings a bell, great, if not, I'll find the fix again.


It does, something with curl. Lemme dig.

Perfect example of why I made the github tho, the base release was getting long in the tooth with a bunch of custom fixes needed to keep it running.
Lars Wolfgang
Doomheim
#1275 - 2015-11-04 14:52:27 UTC  |  Edited by: Lars Wolfgang
Mr Twinkie wrote:
Lars Wolfgang wrote:
11-04-2015 14:42:18 Benz2 EVE API Connection error: 60 -> SSL certificate problem: unable to get local issuer certificate

I recall this, but its early, my mind is foggy. There is an issue with the SSL, and I had to fix something to make it work... if this rings a bell, great, if not, I'll find the fix again.


It does, something with curl. Lemme dig.

Perfect example of why I made the github tho, the base release was getting long in the tooth with a bunch of custom fixes needed to keep it running.


Yep. I'm not sure how to link it but it was this post:

Quote:
#1212 - 2015-05-30 20:58:33 UTC |
Like
From what I see, the certificates seem fine. Mind you I am self-taught at all this lol. Also I seem to have fixed the issue on my end, or maybe it's just coincidence and fixed itself, but this is what I just changed to get it to work again.

ArrowIn the forums directory, navigate to includes\eveapi\Pheal

ArrowOpen PhealConfig.php , and go to line 79, or somewhere around there, and change the public $http_method from curl, to file. Example below:

* which http request method should be used 'curl' or 'file'
* @var String
*/
public $http_method = "file";


This seems to have done the trick for us, no more certificate errors, and the script successfully runs once again! Hope this helps, and maybe Cyrus can verify that this does actually fix the issue till something more permanent is developed.


https://forums.eveonline.com/default.aspx?g=posts&t=21281&p=61

I switched from curl to file and works great. Thank you again. I'm not 100% sure how to post any of this to GitHub, so apologies for doing it all here.

∴ "Virtus junxit, mors non separabit", I am but a traveling man...

Lars Wolfgang
Doomheim
#1276 - 2015-11-04 15:38:46 UTC
So, the good and the bad of things. The API and your fixes work great.

I also see that "something" has greatly expanded on the error message received when an account is bad, for example:
11-04-2015 15:27:24 username EVE API Key error: 222 -> Key has expired. Contact key owner for access renewal.

Here is where the issue is, and maybe its how I did the board, so I'm open to that statement.

The board requires you to be a member of the alliance AND a member of an alliance corp. I guess the second isn't so important, but regardless.

We allow non-alliance members to make an account, and post to the public area.

We also have manual (not API checked) groups. For example "Fleet Commanders", "Logistics" and such. If these were API checked, the cron job would remove them daily. I learned this the hard way when I implemented the cron job.

In the past (right or wrong) when the cron job ran, and your API failed, it disabled the account 100%
Now when it runs it simply removes you from alliance and corp groups, putting you back into "registered user".

Good, expect those darn manual groups. It (as expected) leaves you in them. So, right now, I have 0 disabled accounts, but I have 7 that are only registered users.

Sloppy admin on my part, I admit, 3 of them had manual permissions and were instantly granted access to private areas of the forum as a result.

Apart from, "you need to check every member daily" which may be the answer, any ideas from anyone?

∴ "Virtus junxit, mors non separabit", I am but a traveling man...

Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1277 - 2015-11-04 15:47:09 UTC
Lars Wolfgang wrote:
So, the good and the bad of things. The API and your fixes work great.

I also see that "something" has greatly expanded on the error message received when an account is bad, for example:
11-04-2015 15:27:24 username EVE API Key error: 222 -> Key has expired. Contact key owner for access renewal.

Here is where the issue is, and maybe its how I did the board, so I'm open to that statement.

The board requires you to be a member of the alliance AND a member of an alliance corp. I guess the second isn't so important, but regardless.

We allow non-alliance members to make an account, and post to the public area.

We also have manual (not API checked) groups. For example "Fleet Commanders", "Logistics" and such. If these were API checked, the cron job would remove them daily. I learned this the hard way when I implemented the cron job.

In the past (right or wrong) when the cron job ran, and your API failed, it disabled the account 100%
Now when it runs it simply removes you from alliance and corp groups, putting you back into "registered user".

Good, expect those darn manual groups. It (as expected) leaves you in them. So, right now, I have 0 disabled accounts, but I have 7 that are only registered users.

Sloppy admin on my part, I admit, 3 of them had manual permissions and were instantly granted access to private areas of the forum as a result.

Apart from, "you need to check every member daily" which may be the answer, any ideas from anyone?


Create a "Blues" group and have the mod run off of standings putting +5/10 people into the blues group. Then give that group appropriate permissions. Also there's a new thread for the github hosted version https://forums.eveonline.com/default.aspx?g=posts&t=453906&find=unread

vanderheyde
The Scope
Gallente Federation
#1278 - 2015-11-14 17:54:59 UTC
When a user is set to inactive (and I think when he leaves corp too), he still has permissions on TS3. Any idea how I can have the TS3 groups automatically revoked?
Mr Twinkie
Dreddit
Test Alliance Please Ignore
#1279 - 2015-11-14 22:25:35 UTC
vanderheyde wrote:
When a user is set to inactive (and I think when he leaves corp too), he still has permissions on TS3. Any idea how I can have the TS3 groups automatically revoked?


Update too https://forums.eveonline.com/default.aspx?g=posts&t=453906&find=unread

And post there letting me know if the issue still exists.
Annexe
I N E X T R E M I S
Tactical Narcotics Team
#1280 - 2015-11-24 07:39:19 UTC  |  Edited by: Annexe
I updated the mod to the newest version for phpbb 3.0.14, but couldn't get the eve fitting to display correctly, just posted as text.

So I uninstalled the mod, purged cache, then reinstalled, purged cache, then went to /install url;

It showed that API Registration Mod Revisited 7.0.6 is currently installed, with the only option being uninstall, so I select it and get this error;
General Error

SQL ERROR [ mysqli ]

Unknown column 'group_eveapi_special' in 'field list' [1054]

SQL

INSERT INTO eveapi_grouptmp (group_id, group_eveapi_special, group_eveapi_ts3, group_eveapi_jabber, group_eveapi_openfire) SELECT group_id, group_eveapi_special, group_eveapi_ts3, group_eveapi_jabber, group_eveapi_openfire FROM bb_groups

BACKTRACE


FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/db/dbal.php
LINE: 757
CALL: trigger_error()

FILE: [ROOT]/includes/db/mysqli.php
LINE: 189
CALL: dbal->sql_error()

FILE: [ROOT]/install/index.php
LINE: 161
CALL: dbal_mysqli->sql_query()

FILE: (not given by php)
LINE: (not given by php)
CALL: umil_eveapi_7_0_6()

FILE: [ROOT]/umil/umil.php
LINE: 493
CALL: call_user_func()

FILE: [ROOT]/umil/umil.php
LINE: 432
CALL: umil->_call_custom_function()

FILE: [ROOT]/umil/umil_auto.php
LINE: 178
CALL: umil->run_actions()

FILE: [ROOT]/install/index.php
LINE: 126
CALL: include('[ROOT]/umil/umil_auto.php')


I delete the install folder and navigate back to admin control panel, refresh styles, purge cache.

But the forum now displays "Powered by EVE API v6.3.1 for phpBB 3.0.x - Cyerus"
[EDIT] I didn't apply the style to my current style. Fixed


I go to /eveapi_cron.php and get this error;
General Error

SQL ERROR [ mysqli ]

Unknown column 'group_eveapi_special' in 'field list' [1054]

SQL

SELECT group_id, group_name, group_eveapi_special, group_eveapi_ts3, group_eveapi_jabber, group_eveapi_openfire FROM bb_groups

BACKTRACE


FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/db/dbal.php
LINE: 757
CALL: trigger_error()

FILE: [ROOT]/includes/db/mysqli.php
LINE: 189
CALL: dbal->sql_error()

FILE: [ROOT]/includes/eveapi/functions_eveapi.php
LINE: 340
CALL: dbal_mysqli->sql_query()

FILE: [ROOT]/eveapi_cron.php
LINE: 313
CALL: eveapi_setForumGroups()


Everything seems to be back to normal, although 2 instances of API KEY registration appeared, I just deleted the dead link version from the style.php

But the fitting bbcode is still not working.

What the hell have I done? Please help!

Annexe

ITAI - VIP

"i will pop your wreck with faction loot"